# geometry_type.hpp File Reference

All geometry types in OpenTTD. More...

Go to the source code of this file.

## Data Structures
struct | Point
| Coordinates of a point in 2D. More...
struct | Dimension
| Dimensions (a width and height) of a rectangle in 2D. More...
struct | Rect
| Specification of a rectangle with absolute coordinates of all edges. More...
struct | PointDimension
| Specification of a rectangle with an absolute top-left coordinate and a (relative) width/height. More...
struct | Pair
| A pair of two integers. More...

## Detailed Description

All geometry types in OpenTTD.

Definition in file geometry_type.hpp.